Index: resources/styles/default/lines
===================================================================
--- resources/styles/default/lines	(revision 1129)
+++ resources/styles/default/lines	(working copy)
@@ -58,6 +58,10 @@
 # Mop up any unrecognised highway types
 highway=* & area!=yes [0x07 ]
 
+# Set piers to be the same as footways:
+man_made=pier {add access = no; add foot = yes} [0x16 road_class=0 road_speed=0 resolution 23]
+man_made=pier {name '${name} (${man_made})' | '${man_made}'
+
 natural=coastline [0x15 resolution 12]
 power=line [0x29 resolution 20]
 
Index: resources/styles/default/points
===================================================================
--- resources/styles/default/points	(revision 1129)
+++ resources/styles/default/points	(working copy)
@@ -136,6 +136,30 @@
 railway=station [0x2f08 resolution 20]
 railway=tram_stop [0x2f08 resolution 21]
 
+# Marine navigation tags:
+seamark=* {name '${name} (${seamark})' | '${seamark}'}
+
+(buoy=* & light=green) | seamark:light:colour=green [0x1611 resolution 18]
+(buoy=* & light=red) | seamark:light:colour=red [0x1610 resolution 18]
+(buoy=* & light=white) | seamark:light:colour=white [0x160f resolution 18]
+
+seamark:buoy_lateral:colour=red [0x1608 resolution 18]
+seamark:buoy_lateral:colour=green [0x1609 resolution 18]
+
+buoy=lateral_port [0x1608 resolution 18]
+buoy=lateral_starboard [0x1609 resolution 18]
+
+seamark:buoy_special_purpose:colour=yellow [0x160b resolution 18]
+
+buoy=* | seamark=buoy | man_made=buoy [0x1604 resolution 18]
+
+fog_signal=* [0x1601 resolution 18]
+lighthouse=* | man_made=lighthouse [0x1603 resolution 18]
+
+seamark=beacon [0x1602 resolution 18]
+
+seamark=* [0x160e resolution 18]
+
 shop=bakers [0x2e02 resolution 20]
 shop=bakery [0x2e02 resolution 20]
 shop=beauty [0x2f10 resolution 20]
